[FFmpeg-devel] [PATCH] to support newer neAAC for libfaadbin

Michael Niedermayer michaelni
Sat Jan 26 14:12:01 CET 2008

On Sat, Jan 26, 2008 at 09:30:42AM +0100, Zdenek Kabelac wrote:
> 2 - If the user will never use i.e. digital camera and he wants to
> limit the      size of installed distribution (i.e. running from flash
> and others) he would have to recompile and install library himself and
> cannot use binary released version - again - you most probably don't
> care - as the user who is unable to compile ffmpeg is not worthy to
> use it....

fix the loader so it replaces all functions of missing shared libs
with abort() instead of failing hard
(and yes a distro can fix the loader even if upstream disagrees, if they
dont then they as well as their users will have to accept dependancy hell
and or having to patch every app and lib to use dlopen. The end result is
the same its just MUCH more work)

anyway ive never been against adding dlopen support to workaround the
world of incompetent idiot distros ...

Michael     GnuPG fingerprint: 9FF2128B147EF6730BADF133611EC787040B0FAB

No great genius has ever existed without some touch of madness. -- Aristotle
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: Digital signature
URL: <http://lists.mplayerhq.hu/pipermail/ffmpeg-devel/attachments/20080126/289c3761/attachment.pgp>

More information about the ffmpeg-devel mailing list